import java.util.HashMap;

class EmneOversikt {
  private HashMap<String,Emne> emner = new HashMap<String,Emne>();

  public void nyttEmne (String kode, char semester) {
    Emne nytt = new Emne (kode, semester);
    emner.put(kode, nytt);
  }


  public void skrivAlle () {
    for (String s: emner.keySet()) {
      Emne e = emner.get(s);
      System.out.println (e.toString());
    }
  }

  public boolean finnes (String kode) {
    Emne e = emner.get(kode);
    return (e != null);
  }

  public char gisNaar (String kode) {
    Emne e = emner.get(kode);
    return (e.naar());
  }
}
