import java.util.ArrayList;

class EmneOverAL {
  private ArrayList<Emne> emner = new ArrayList<Emne>();


  public void nyttEmne (String kode, char semester) {
    Emne nytt = new Emne (kode, semester);
    emner.add(nytt);
  }

  public void skrivAlle () {
    for (Emne e: emner) {
      System.out.println (e.toString());
    }
  }

  public boolean finnes (String kode) {
    for (Emne e: emner) {
      if (kode.equals (e.minKode())) {
        return true;
      }
    }
    return false;
  }

  public char gisNaar (String kode) {
    for (Emne e: emner) {
      if (kode.equals (e.minKode())) {
        return (e.naar());
      }
    }
    return '?';
  }
}
